## kodi-visualization-projectm 1.0.17

=== CMakeLists.txt ===
project(visualization.projectm)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
if(PACKAGE_CONFIG_PATH)
  set(ENV{PKG_CONFIG_PATH} ${PACKAGE_CONFIG_PATH})
endif()

find_package(kodi REQUIRED)
find_package(OpenGL REQUIRED)

if(NOT APPLE)
  find_package(GLEW REQUIRED)
  set(EXTRA_INCLUDES ${GLEW_INCLUDE_DIR})
  set(EXTRA_LIBRARIES ${GLEW_LIBRARIES})
endif()

find_package(ProjectM REQUIRED)

add_definitions(-DHAS_SDL_OPENGL)

set(INCLUDES ${OpenGL_INCLUDE_DIR}
             ${EXTRA_INCLUDES}
             ${KODI_INCLUDE_DIR}
             ${PROJECTM_INCLUDE_DIRS})

set(DEPLIBS ${OPENGL_LIBRARIES}
            ${EXTRA_LIBRARIES}
            ${PROJECTM_LIBS}
            ${extra_libs})

set(PM_SOURCES src/Main.cpp)

include_directories(${INCLUDES})

build_addon(visualization.projectm PM DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-visualization-projectm (1.0.17-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Change to multiarch install to match our Kodi, otherwise it won't work.
  * Use a dh-exec debian/install file, add dh-exec to build-deps.
  * Compat level 9, minimum debhelper version is 9.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 08 May 2016 15:54:54 -0700

kodi-visualization-projectm (1.0.17-1~trusty) trusty; urgency=low

  [ xbmc ]
  * autogenerated dummy changelog

  [ wsnipex ]
  * no upstream changelog available

 -- wsnipex <wsnipex@a1.net>  Mon, 23 Nov 2015 21:21:59 +0100

=== debian/control ===
Source: kodi-visualization-projectm
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Team Kodi <contact@kodi.tv>
Uploaders: Arne Morten Kvarving <spiff@xbmc.org>,
           Wolfgang Schupp <wsnipex@kodi.tv>
Build-Depends: debhelper (>= 9),
 dh-exec (>=0.3),
 cmake,
 kodi-addons-dev,
 libprojectm-dev,
 libgl1-mesa-dev,
 libglew-dev,
 pkg-config
Standards-Version: 3.9.6
Section: libs
Homepage: http://kodi.tv

Package: kodi-visualization-projectm
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ProjectM visualizer for Kodi
 ProjectM visualizer for Kodi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@ --parallel


override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
	-DBUILD_SHARED_LIBS=1 \
	-DUSE_LTO=1

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/kodi-visualization-projectm

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-visualization-projectm

## kodi-visualization-projectm 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,26 +7,20 @@
   set(ENV{PKG_CONFIG_PATH} ${PACKAGE_CONFIG_PATH})
 endif()
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
+find_package(p8-platform REQUIRED)
 find_package(OpenGL REQUIRED)
-
-if(NOT APPLE)
-  find_package(GLEW REQUIRED)
-  set(EXTRA_INCLUDES ${GLEW_INCLUDE_DIR})
-  set(EXTRA_LIBRARIES ${GLEW_LIBRARIES})
-endif()
 
 find_package(ProjectM REQUIRED)
 
 add_definitions(-DHAS_SDL_OPENGL)
 
 set(INCLUDES ${OpenGL_INCLUDE_DIR}
-             ${EXTRA_INCLUDES}
              ${KODI_INCLUDE_DIR}
+             ${p8-platform_INCLUDE_DIRS}
              ${PROJECTM_INCLUDE_DIRS})
 
 set(DEPLIBS ${OPENGL_LIBRARIES}
-            ${EXTRA_LIBRARIES}
             ${PROJECTM_LIBS}
             ${extra_libs})

=== depends/linux/freetype/CMakeLists.txt ===
project(freetype)

cmake_minimum_required(VERSION 2.8)

include(ExternalProject)
externalproject_add(freetype
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND ""
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure 
                      --prefix=${OUTPUT_DIR}
                      --disable-shared
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)
                  
install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})")

=== depends/linux/ftgl/CMakeLists.txt ===
project(ftgl)

cmake_minimum_required(VERSION 2.6)
enable_language(CXX)

include(ExternalProject)

externalproject_add(ftgl
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND cd unix && autoreconf -vif 
                    CONFIGURE_COMMAND cd unix && CXXFLAGS=-fpermissive ./configure --prefix=${OUTPUT_DIR} --with-pic
                    BUILD_COMMAND cd unix && make
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/unix)")

=== debian/changelog ===
kodi-visualization-projectm (1.2.0-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Rebuild against Kodi 17.
  * Don't use ccache.
  * Remove -dmo from version string.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2017 15:41:44 -0800

kodi-visualization-projectm-dmo (1.2.0-dmo1~bpo8+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Feb 2017 16:21:35 +0100

kodi-visualization-projectm-dmo (1.1.1-dmo1~bpo8+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Dec 2016 14:06:54 +0100

kodi-visualization-projectm-dmo (1.1.0-dmo1~bpo8+2) stable-backports; urgency=medium

  * Really build for stable-backports.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 May 2016 18:26:43 +0200

kodi-visualization-projectm-dmo (1.1.0-dmo1~bpo8+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 May 2016 10:06:38 +0200

kodi-visualization-projectm-dmo (1.0.17-dmo1~bpo8+1) stable-backports; urgency=medium

  * Build for stable-backports.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 May 2016 08:32:48 +0200

kodi-visualization-projectm-dmo (1.0.17-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Mar 2016 10:51:47 +0100

=== debian/control ===
Source: kodi-visualization-projectm
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: https://github.com/notspiff/visualization.projectm
Standards-Version: 3.9.8
Build-Depends: debhelper (>=9), cmake, kodi-addons-dev, 
 libprojectm-dev, libglew-dev, pkg-config, libp8-platform-dev

Package: kodi-visualization-projectm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-bitstream-vera, kodi (>= 16.1~)
Description: ProjectM audio visualization addon for Kodi
 ProjectM audio visualization addon for Kodi.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 \
	-DCMAKE_INSTALL_PREFIX=/usr

override_dh_auto_install:
	dh_auto_install

	rm debian/kodi-visualization-projectm/usr/share/kodi/addons/visualization.projectm/resources/VeraMono.ttf
	rm debian/kodi-visualization-projectm/usr/share/kodi/addons/visualization.projectm/resources/Vera.ttf

	dh_link usr/share/fonts/truetype/ttf-bitstream-vera/VeraMono.ttf	usr/share/kodi/addons/visualization.projectm/resources/VeraMono.ttf
	dh_link usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf		usr/share/kodi/addons/visualization.projectm/resources/Vera.ttf

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_clean:
	dh_clean visualization.projectm/addon.xml
